<?php 


$nuevo_texto = "$$$";





$abrir=fopen("/home/content/90/7626090/html/radioon.com.ar/config.xml","r+"); // asi escribis en el comienzo del .txt porque con el "r+" el puntero se ubica al principio del archivo




$num_lineas = 0; 
$caracteres = 0; 

//Hago un bucle para recorrer el archivo línea a línea hasta el final del archivo 
while (!feof ($abrir)) { 
    //si extraigo una línea del archivo y no es false 
    if ($linea = fgets($abrir)){ 
      	//acumulo una en la variable número de líneas 
       $num_lineas++; 
      	//acumulo el número de caracteres de esta línea 
      	$caracteres += strlen($linea); 
    } 
} 



echo $caracteres;

$caracteres = $caracteres - 50;

fseek($abrir,$caracteres);

fwrite($abrir,"$nuevo_texto");// se sobreescribe el  txt que tenemos

fclose($abrir); //cerras el archivo




?>